> For the complete documentation index, see [llms.txt](https://docs.flowty.io/reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.flowty.io/reference/p2p-rentals/owner/how-to-rent-out-an-nft-on-flowty.md).

# How to Rent Out an NFT on Flowty

{% embed url="<https://www.youtube.com/watch?feature=emb_imp_woyt&v=xkZu0GWLVMI>" %}
Video walkthrough of the flowty rental process
{% endembed %}

## Step by Step (some minor changes since video published)

1. Navigate to [Flowty.io](https://docs.flowty.io/blog/)
2. Connect any non-Dapper Wallet (Dapper Wallets only support buy/sell transactions) to Flowty
3. Go to Profile (Dropdown Menu -> Profile)
4. Click the NFT that you want to rent out
5. Navigate to "Rental" tab
6. Input rental terms
   1. *Rental fee:* your fee for renting out the NFT. This is yours to keep whether or not the NFT is returned.
   2. *Refundable deposit:* will be returned in full to the Renter IF the Renter returns the NFT before the end of the rental term. The refundable deposit should be thought of as an incentive for the Renter to return your NFT or the Owner's compensation if the Renter does not return the NFT. The Renter is under no obligation to return your NFT, so please make sure you are comfortable receiving the refundable deposit instead of your NFT back.
   3. *Duration:* length of rental term. If the Renter does not return the NFT by the end of the rental term, you will receive the refundable deposit instead of your NFT back.
7. Submit rental listing and approve the transaction in your wallet
8. Your listing is available for Renters in the Flowty rental marketplace

**Questions?**

Check out our [Owner FAQ](/reference/p2p-rentals/owner/faq.md) or join our [Discord](https://discord.com/invite/zAM4w6ePUE) and ask for help


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.flowty.io/reference/p2p-rentals/owner/how-to-rent-out-an-nft-on-flowty.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
